[tor-commits] [tor/master] Exit test-network with status of chutney verify
nickm at torproject.org
nickm at torproject.org
Wed Oct 8 19:42:19 UTC 2014
commit c0794d22a2fc25c8764615428f08dc0efb4df2bd
Author: teor <teor2345 at gmail.com>
Date: Sun Oct 5 09:59:27 2014 +1100
Exit test-network with status of chutney verify
Preserve previous semantics of src/test/test-network.sh by exiting with
the exit status of chutney verify, even though the latest version ends
with chutney stop.
---
src/test/test-network.sh | 2 ++
1 file changed, 2 insertions(+)
diff --git a/src/test/test-network.sh b/src/test/test-network.sh
index d7fdb35..fb33842 100755
--- a/src/test/test-network.sh
+++ b/src/test/test-network.sh
@@ -45,6 +45,8 @@ n=$BOOTSTRAP_TIME; while [ $n -gt 0 ]; do
sleep 1; n=$(expr $n - 1); echo -n .
done; echo ""
./chutney verify $CHUTNEY_NETWORK
+VERIFY_EXIT_STATUS=$?
# work around a bug/feature in make -j2 (or more)
# where make hangs if any child processes are still alive
./chutney stop $CHUTNEY_NETWORK
+exit $VERIFY_EXIT_STATUS
More information about the tor-commits
mailing list